Bug 185340 - cannot compile ggc 4.x with gcc3
cannot compile ggc 4.x with gcc3
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: binutils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: Regression
Depends On:
Blocks: 181409
  Show dependency treegraph
Reported: 2006-03-13 15:38 EST by ritz
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0489
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 17:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gcc 4.1.0 compile log (12.62 KB, text/plain)
2006-03-13 16:06 EST, ritz
no flags Details

  None (edit)
Description ritz 2006-03-13 15:38:38 EST
Description of problem:
linker error while compiling gcc-4.x from source

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Download gcc-4.x
2. Compile
3. Fails with internal error
Actual results:
Compile fails

Expected results:
Should compile

Additional info:
Works fine with RHEL4U2

Comment 3 ritz 2006-03-13 15:59:57 EST
Error message

/usr/bin/ld: BFD 20040927 internal error, aborting at
../../bfd/elf32-i386.c line 2262 in elf_i386_relocate_section

/usr/bin/ld: Please report this bug.

log file attached
Comment 4 ritz 2006-03-13 16:06:35 EST
Created attachment 126071 [details]
gcc 4.1.0 compile log
Comment 5 Daniel Villeneuve 2006-03-13 21:23:15 EST
gcc-4.0.2 also compiles properly with binutils-2.16.1 and other packages from
RHEL4U3 (e.g. gcc-3.4.5-2).
Comment 12 Bob Johnson 2006-04-11 12:07:08 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 13 Jakub Jelinek 2006-04-27 05:26:41 EDT
This regression seems to be caused by the
patch, added to fix #168316, IT#77962.
Comment 14 Jakub Jelinek 2006-04-27 06:00:41 EDT
I should note that what libstdc++-v3 does here is very fragile and haven't
been ever supported, only happens to work with some ld versions (and doesn't
work with most other ld versions).
One object has versioned symbol (in this case _ZNSt11char_traitsIcE2eqERKcS2_)
@@GLIBCXX_3.4.5 and @GLIBCXX_3.4, another one exports the same symbol (weak)
unversioned.  The reason why this works e.g. in gcc4 RHEL4 rpms is that
in RHEL4 gcc4 rpms compatibility.o (which has the versioned symbol) comes last,
while in upstream it comes before string-inst.o which defines the weak symbol.
Comment 19 Red Hat Bugzilla 2006-08-10 17:41:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.